<?php
/********************************************************/
/* NSN Your Account                                     */
/* By: NukeScripts Network (webmaster@nukescripts.net)  */
/* http://www.nukescripts.fr                            */
/* Original Script www.nukescripst.net                  */
/* Copyright © 2000-2005 by NukeScripts Network         */
/* ==================================================== */
/* Based from:                                          */
/* PHP-NUKE: Web Portal System                          */
/********************************************************/

if (!defined('IN_YA')) { die("You can't access this file directly."); }
if (!defined('MAXIMUS')) {
header("Location: index.php");
  die();
}

    $result = $db->sql_query("SELECT `headlinesurl` FROM `".$prefix."_headlines` WHERE `hid`='$hid'");
    $row = $db->sql_fetchrow($result);
    $url = stripslashes($row['headlinesurl']);
    $rdf = parse_url($url);
    $fp = fsockopen($rdf['host'], 80, $errno, $errstr, 15);
    if (!$fp) {
        $content = "<font class=\"content\">"._ERRORHL."</font>";
        return;
    }
    if ($fp) {
        fputs($fp, "GET " . $rdf['path'] . "?" . $rdf['query'] . " HTTP/1.0\r\n");
        fputs($fp, "HOST: " . $rdf['host'] . "\r\n\r\n");
        $string = "";
        while(!feof($fp)) {
            $pagetext = fgets($fp,300);
            $string .= chop($pagetext);
        }
        fputs($fp,"Connection: close\r\n\r\n");
        fclose($fp);
        $items = explode("</item>",$string);
        $content = "<font class=\"content\">";
        for ($i=0;$i<10;$i++) {
            $link = ereg_replace(".*<link>","",$items[$i]);
            $link = ereg_replace("</link>.*","",$link);
            $title2 = ereg_replace(".*<title>","",$items[$i]);
            $title2 = ereg_replace("</title>.*","",$title2);
            if ($items[$i] == "") {
                $content = "";
                return;
            } else {
                if (strcmp($link,$title)) {
                    $cont = 1;
                    $content .= "<img src=\"images/arrow.gif\" border=\"0\" hspace=\"5\" alt='' /><a href=\"$link\" target=\"new\">$title2</a><br />\n";
                }
            }
        }
    }
    echo "$content";